import { AfterViewInit } from '@angular/core';
import { NavParams, NavController, Searchbar, InfiniteScroll, ViewController } from 'ionic-angular';
import { SelectSearchable } from './select-searchable.component';
export declare class SelectSearchablePage implements AfterViewInit {
    private navParams;
    viewController: ViewController;
    selectComponent: SelectSearchable;
    filteredItems: any[];
    selectedItems: any[];
    navController: NavController;
    infiniteScroll: InfiniteScroll;
    searchbarComponent: Searchbar;
    constructor(navParams: NavParams, viewController: ViewController);
    ngAfterViewInit(): void;
    isItemSelected(item: any): boolean;
    deleteSelectedItem(item: any): void;
    addSelectedItem(item: any): void;
    select(item: any): void;
    ok(): void;
    close(): void;
    reset(): void;
    filterItems(): void;
    getMoreItems(infiniteScroll: InfiniteScroll): void;
}
