import { EventEmitter, OnInit, OnDestroy, OnChanges, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Item, Form, NavController, Platform, InfiniteScroll, ModalController } from 'ionic-angular';
export declare class SelectSearchable implements ControlValueAccessor, OnInit, OnDestroy, OnChanges {
    private navController;
    private modalController;
    private ionForm;
    private platform;
    private ionItem;
    private _items;
    private isIos;
    private isMd;
    private _useSearch;
    private _isEnabled;
    private _valueItems;
    private _value;
    filterText: string;
    value: any;
    readonly hasSearch: boolean;
    items: any[];
    isSearching: boolean;
    isEnabled: boolean;
    itemValueField: string;
    itemTextField: string;
    canSearch: boolean;
    useSearch: boolean;
    canReset: boolean;
    hasInfiniteScroll: boolean;
    title: string;
    searchPlaceholder: string;
    onChange: EventEmitter<any>;
    onSearch: EventEmitter<any>;
    onInfiniteScroll: EventEmitter<any>;
    itemTemplate: Function;
    multiple: boolean;
    noItemsFoundText: string;
    resetButtonText: string;
    useModalInsteadOfPage: boolean;
    constructor(navController: NavController, modalController: ModalController, ionForm: Form, platform: Platform, ionItem: Item);
    isNullOrWhiteSpace(value: any): boolean;
    ngOnInit(): void;
    initFocus(): void;
    _click(event: UIEvent): void;
    enableIonItem(isEnabled: boolean): void;
    select(selectedItem: any): void;
    emitChange(): void;
    emitSearch(infiniteScroll: InfiniteScroll): void;
    open(): void;
    reset(): void;
    formatItem(value: any): string;
    private propagateChange;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    ngOnDestroy(): void;
    setValue(value: any): void;
    ngOnChanges(changes: SimpleChanges): void;
}
